Model automatic loading should not work on None values

2012-08-07 13:55 - Elmer de Looff

Status: Closed Start date: 2012-08-07

Priority: Normal Due date:  

Assignee: Jan Klopper % Done: 100%

Category: Model Estimated time: 0.00 hour

Target version: µWeb alpha release Spent time: 5.00 hours

Description

Currently, the autoloading process in the Record and VersionedRecord attempt to do a load when encountering a field that matches

a table name, even when the value is None (a NULL in SQL). This fails because the current loading works with a direct equality

lookup, and nothing equates to NULL in SQL (per specification).

Additionally, in the case where we perform the proper IS NULL comparison, there is no certainty that this will yield a single result,

even if the index on the foreign key is UNIQUE.

Given the above, and the logical implication that a foreign reference NULL seems to imply that there is none, the auto-loading

mechanism should not attempt to look up foreign references where the field value is None.

Associated revisions

Revision 283:90e76f42bbea - 2012-08-07 17:54 - Elmer de Looff

Added initial version of the uWeb database model test suite. Fixed and verified behavior to not load foreign records when the reference value is None.

This resolves #923.

History

#1 - 2012-08-07 17:55 - Elmer de Looff

- Status changed from New to Resolved

- % Done changed from 0 to 70

Applied in changeset 90e76f42bbea.

#2 - 2012-08-07 17:57 - Elmer de Looff

- Assignee changed from Elmer de Looff to Jan Klopper

Jan,

This should now work (or not work to be exact) as intended. Could you verify this?

#3 - 2012-08-07 21:00 - Jan Klopper

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

Fixed.

Works as expected.

Powered by TCPDF (www.tcpdf.org)

2025-07-10 1/1

https://bugs.underdark.nl/projects/uweb/repository/revisions/90e76f42bbea
http://www.tcpdf.org

